glab(1)

NAME
glab-ci-list - List CI/CD pipelines.

SYNOPSIS
glab ci list [flags]

DESCRIPTION
Defaults to the current project. Use --status to filter pipelines by status.

OPTIONS
--jq=""
    Filter JSON output with a jq expression.

-n, --name=""
    Return only pipelines with the given name.

-o, --order="id"
    Order pipelines by this field. Options: id, status, ref, updated_at, user_id.

-F, --output="text"
    Format output. Options: text, json.

-p, --page=1
    Page number.

-P, --per-page=0
    Number of items to list per page. Defaults to the GitLab API default (20).

-r, --ref=""
    Return only pipelines for the given ref.

--scope=""
    Return only pipelines with the given scope. Options: running, pending, finished, branches, tags.

--sha=""
    Return only pipelines with the given SHA.

--sort="desc"
    Sort direction for '--order': asc or desc.

--source=""
    Return only pipelines triggered by the given source. For the full list, see https://docs.gitlab.com/ci/jobs/job_rules/#ci_pipeline_source-predefined-variable. Commonly used options: merge_request_event, parent_pipeline, pipeline, push, trigger.

-s, --status=""
    Filter pipelines by status. Options: running, pending, success, failed, canceled, skipped, created, manual, waiting_for_resource, preparing, scheduled.

-a, --updated-after=""
    Return only pipelines updated after the specified date. Expected in ISO 8601 format (2019-03-15T08:00:00Z).

-b, --updated-before=""
    Return only pipelines updated before the specified date. Expected in ISO 8601 format (2019-03-15T08:00:00Z).

-u, --username=""
    Return only pipelines triggered by the given username.

-y, --yaml-errors[=false]
    Return only pipelines with invalid configurations.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    glab ci list
    glab ci list --status=failed

SEE ALSO
glab-ci(1)